
/*-----------CREATE----------- */
onEvent('recipes', event => {
  //CRIA A RECEITA DO CHIP DO VEGAPUNK VIA CREATE
  
    // itens
  const transitional = 'kubejs:incomplete_vegapunk'
  const finalResult = 'kubejs:vegapunk_chip'
  const id = 'kubejs:sequenced/vegapunk_chip_from_deployers'

  // checagens
  if (!Item.exists(transitional)) {
    console.error(`[KubeJS] transitionalItem não existe: ${transitional}. Receita NÃO registrada.`)
    return
  }
  if (!Item.exists(finalResult)) {
    console.error(`[KubeJS] resultado não existe: ${finalResult}. Receita NÃO registrada.`)
    return
  }

  // Define os outputs: neste caso garantimos o vegapunk_chip como saída final
  event.recipes.createSequencedAssembly(
    [
      finalResult // saída garantida
    ],
    transitional, // input inicial
    [
      event.recipes.createDeploying(transitional, [transitional, 'minecraft:diamond']),
      event.recipes.createDeploying(transitional, [transitional, 'minecraft:redstone']),
	    event.recipes.createDeploying(transitional, [transitional, 'minecraft:netherite_ingot']),
      event.recipes.createCutting(finalResult, transitional)
    ]
  )
  .transitionalItem(transitional)
  .loops(1)
  .id(id)

  console.info(`[KubeJS] Registered Create sequenced recipe: ${id}`)
})

onEvent('recipes', event => {
    //CRIA A RECEITA PROTÓTICO DE CHIP VIA CREATE
    
    // itens
    const transitional = 'kubejs:coisa_punk'
  const finalResult = 'kubejs:incomplete_vegapunk'
  const id = 'kubejs:sequenced/pre_vegapunk_chip_from_deployers'

  // checagens
  if (!Item.exists(transitional)) {
    console.error(`[KubeJS] transitionalItem não existe: ${transitional}. Receita NÃO registrada.`)
    return
  }
  if (!Item.exists(finalResult)) {
    console.error(`[KubeJS] resultado não existe: ${finalResult}. Receita NÃO registrada.`)
    return
  }

  // Define os outputs: neste caso garantimos o vegapunk_chip como saída final
  event.recipes.createSequencedAssembly(
    [
      finalResult // saída garantida
    ],
    transitional, // input inicial
    [
      event.recipes.createDeploying(transitional, [transitional, 'minecraft:gold_ingot']),
      event.recipes.createDeploying(transitional, [transitional, 'minecraft:redstone']),
	    event.recipes.createDeploying(transitional, [transitional, 'minecraft:emerald']),
      event.recipes.createPressing(finalResult, transitional)
    ]
  )
  .transitionalItem(transitional)
  .loops(1)
  .id(id)

  console.info(`[KubeJS] Registered Create sequenced recipe: ${id}`)
})





/*-----------IMMERSIVE ENGINEERING----------- */
onEvent('recipes', event =>{
//REMOVE A RECEITA DA PRENSA DE ENGRENAGENS
event.remove({ output:'immersiveengineering:mold_gear' })

//CRIA A RECEITA DO AGLOMERADO TECNOLOGICO VIA PRENSA DO IMMERSIVE
event.recipes.immersiveengineeringMetalPress(
  'kubejs:coisa_punk', 
  'thermal:emerald_gear', 
  'immersiveengineering:mold_plate'
)

})